OUTPUT_DIR: output/20201217-PKAKTR-maitng

operations:  
# =============================================================================
# - function: adaptive_thres
#   params:
#     FIL1: 19
#     R1: 300
#   images: data/20201217-PKAKTR-mating/*mNG*
#   output: at
# =============================================================================
# =============================================================================
# - function: propagate_multisnakes
#   images: data/20201217-PKAKTR-mating/*mNG*
#   labels: at
#   params:
#     NITER: 20
#     lambda2: 10
#   output: pm
# =============================================================================
# =============================================================================
# - - function: run_lap
#     images: data/20201217-PKAKTR-mating/*mNG*
#     labels: pm
#     params:
#       MASSTHRES: 0.25
#       DISPLACEMENT: 25
#   - function: track_neck_cut
#     params:
#       MASSTHRES: 1.0
#   - function: track_neck_cut
#     params:
#       DISPLACEMENT: 20
#       THRES_ANGLE: 160
#   - function: nearest_neighbor
#     params:
#       DISPLACEMENT: 60
#       MASSTHRES: 0.5
#     output: tracked
# =============================================================================
- - function: gap_closing
    images: data/20201217-PKAKTR-mating/*mNG*
    labels: tracked
  - function: cut_short_traces
    params:
      minframe: 5
    output: nuc
- function: ring_dilation_above_offset_buffer
  params:
    RINGWIDTH: 2
    OFFSET: 100
  images: data/20201217-PKAKTR-mating/*mNG*
  labels: nuc
  output: cyto
- function: rolling_ball
  params:
    OFFSET: 20
  images: data/20201217-PKAKTR-mating/*KTR*
  output: rb
- function: apply
  images: 
    - rb
  labels:
    - nuc
    - cyto
  ch_names:
    - RFP



